geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sachin Patel (JIRA)" <j...@apache.org>
Subject [jira] Closed: (GERONIMODEVTOOLS-133) v2.0.0 plugin builds on Windows, but fails to build on any recent version of SUSE Linux
Date Tue, 27 Feb 2007 21:16:05 GMT

     [ https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-133?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Sachin Patel closed GERONIMODEVTOOLS-133.
-----------------------------------------

    Resolution: Fixed

Found the problem, there was a bug in the install dependencies mojo, surprised this wasn't
caught earlier.  Anyway the problem should be fixed.

> v2.0.0 plugin builds on Windows, but fails to build on any recent version of SUSE Linux
> ---------------------------------------------------------------------------------------
>
>                 Key: GERONIMODEVTOOLS-133
>                 URL: https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-133
>             Project: Geronimo-Devtools
>          Issue Type: Bug
>          Components: eclipse-plugin
>    Affects Versions: 2.0
>         Environment: SUSE Linux Enterprise Server 10, SUSE Linux Enterprise Desktop 10,
Open SUSE 10.1 and 1.02
>            Reporter: Donald Woods
>         Assigned To: Sachin Patel
>            Priority: Critical
>             Fix For: 2.0
>
>
> I can get the Eclipse plug-in 2.0.0 Rev510221 + Devtools-132.patch to build on WinXP
with Maven 2.0.5 and Java 1.5, but it fails on all of the latest Intel 32bit versions of SUSE/SLES/SLED.
> [INFO] ----------------------------------------------------------------------------
> [INFO] Building org.apache.geronimo.st.core
> [INFO]    task-segment: [deploy]
> [INFO] ----------------------------------------------------------------------------
> [INFO] [geronimodevtools:download {execution: create-eclipse-image}]
> [INFO] SDKPlatform:  os.name=Linux, os.arch=i386
> [INFO] emf-sdo-xsd-SDK-2.3.0M4.zip already exists in local repository
> [INFO] dtp-sdk_1.0_200612211.zip already exists in local repository
> [INFO] GEF-SDK-3.3M4.zip already exists in local repository
> [INFO] wtp-sdk-S-2.0M4-200701050358.zip already exists in local repository
> [INFO] eclipse-SDK-3.3M5-linux-gtk.tar.gz already exists in local repository
> [INFO] [geronimodevtools:qualifier {execution: initialize}]
> [INFO] Qualifier is: v200702220322
> [INFO] [geronimodevtools:manifestbundles {execution: initialize}]
> [INFO] [geronimodevtools:install {execution: initialize}]
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.jdt_3.2.100.v20070205-1800.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.jdt/3.2.100.v20070205-1800/org.eclipse.jdt-3.2.100.v20070205-1800.jar
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.jst_1.0.1.v200605040115.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.jst/1.0.1.v200605040115/org.eclipse.jst-1.0.1.v200605040115.jar
> [INFO] org.eclipse.jst : 1.0.1.v200605040115 already exists in local repository.
> [INFO] org.eclipse.jst : 1.0.1.v200605040115 already exists in local repository.
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.jem_1.2.1.v20060918_M_wtp-patch-M4d.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.jem/1.2.1.v20060918_M_wtp-patch-M4d/org.eclipse.jem-1.2.1.v20060918_M_wtp-patch-M4d.jar
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.core.commands_3.3.0.I20070205-0010.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.core.commands/3.3.0.I20070205-0010/org.eclipse.core.commands-3.3.0.I20070205-0010.jar
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.emf.common_2.3.0.v200612211251.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.emf.common/2.3.0.v200612211251/org.eclipse.emf.common-2.3.0.v200612211251.jar
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.equinox.app_1.0.0.v20070203.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.equinox.app/1.0.0.v20070203/org.eclipse.equinox.app-1.0.0.v20070203.jar
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.core.contenttype_3.2.100.v20060808.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.core.contenttype/3.2.100.v20060808/org.eclipse.core.contenttype-3.2.100.v20060808.jar
> [INFO] org.eclipse.jst : 1.0.1.v200605040115 already exists in local repository.
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.wst.server.core_1.0.204.v20061218.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.wst.server.core/1.0.204.v20061218/org.eclipse.wst.server.core-1.0.204.v20061218.jar
> [INFO] Removing bundle directory dependency: org.eclipse.wst.web
> [INFO] org.eclipse.jst : 1.0.1.v200605040115 already exists in local repository.
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.core.runtime_3.3.100.v20061204.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.core.runtime/3.3.100.v20061204/org.eclipse.core.runtime-3.3.100.v20061204.jar
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.emf_2.2.0.v200612211251.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.emf/2.2.0.v200612211251/org.eclipse.emf-2.2.0.v200612211251.jar
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.debug.core_3.3.0.v20070207a.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.debug.core/3.3.0.v20070207a/org.eclipse.debug.core-3.3.0.v20070207a.jar
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.equinox.registry_3.2.100.v20061204.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.equinox.registry/3.2.100.v20061204/org.eclipse.equinox.registry-3.2.100.v20061204.jar
> [INFO] org.eclipse.jdt : 3.2.100.v20070205-1800 already exists in local repository.
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.core.resources_3.3.0.v20070202.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.core.resources/3.3.0.v20070202/org.eclipse.core.resources-3.3.0.v20070202.jar
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.equinox.preferences_3.2.100.v20060918.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.equinox.preferences/3.2.100.v20060918/org.eclipse.equinox.preferences-3.2.100.v20060918.jar
> [INFO] org.eclipse.emf : 2.2.0.v200612211251 already exists in local repository.
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.core.jobs_3.3.0.v20070202.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.core.jobs/3.3.0.v20070202/org.eclipse.core.jobs-3.3.0.v20070202.jar
> [INFO] org.eclipse.jst : 1.0.1.v200605040115 already exists in local repository.
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.osgi_3.3.0.v20070208.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.osgi/3.3.0.v20070208/org.eclipse.osgi-3.3.0.v20070208.jar
> [INFO] Installing /home/wasce/.m2/repository/eclipse/eclipse/plugins/org.eclipse.equinox.common_3.3.0.v20070122.jar
to /home/wasce/.m2/repository/org/eclipse/plugins/org.eclipse.equinox.common/3.3.0.v20070122/org.eclipse.equinox.common-3.3.0.v20070122.jar
> [INFO] [geronimodevtools:validatemanifest {execution: initialize}]
> [INFO] ------------------------------------------------------------------------
> [ERROR] FATAL ERROR
> [INFO] ------------------------------------------------------------------------
> [INFO] An invalid artifact was detected.
> This artifact might be in your project's POM, or it might have been included transitively
during the resolution process. Here is the information we do have for this artifact:
>     o GroupID:     org.eclipse.plugins
>     o ArtifactID:  org.eclipse.wst.common.environment
>     o Version:     <<< MISSING >>>
>     o Type:        jar
> [INFO] ------------------------------------------------------------------------
> [INFO] Trace
> org.apache.maven.artifact.InvalidArtifactRTException: For artifact {org.eclipse.plugins:org.eclipse.wst.common.environment:null:jar}:
The version cannot be empty.
> 	at org.apache.maven.artifact.DefaultArtifact.validateIdentity(DefaultArtifact.java:147)
> 	at org.apache.maven.artifact.DefaultArtifact.(DefaultArtifact.java:122)
> 	at org.apache.maven.artifact.factory.DefaultArtifactFactory.createArtifact(DefaultArtifactFactory.java:158)
> 	at org.apache.maven.artifact.factory.DefaultArtifactFactory.createDependencyArtifact(DefaultArtifactFactory.java:70)
> 	at org.apache.maven.project.artifact.MavenMetadataSource.createArtifacts(MavenMetadataSource.java:333)
> 	at org.apache.maven.project.MavenProject.createArtifacts(MavenProject.java:1527)
> 	at org.apache.maven.plugin.DefaultPluginManager.resolveTransitiveDependencies(DefaultPluginManager.java:1140)
> 	at org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginManager.java:374)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:539)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalWithLifecycle(DefaultLifecycleExecutor.java:480)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:459)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:311)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:278)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:143)
> 	at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:330)
> 	at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:123)
> 	at org.apache.maven.cli.MavenCli.main(MavenCli.java:272)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
> 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
> 	at java.lang.reflect.Method.invoke(Method.java:585)
> 	at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
> 	at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
> 	at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
> 	at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
> [INFO] ------------------------------------------------------------------------
> [INFO] Total time: 1 minute 46 seconds
> [INFO] Finished at: Thu Feb 22 15:22:20 EST 2007
> [INFO] Final Memory: 50M/122M
> [INFO] ------------------------------------------------------------------------
> BUILD FAILED
> If I compare the local repo from SLES to WinXP, there are a lot of files that were not
extracted into the org.eclipse directory structure 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message